%global debug_package   %{nil}
%global provider_tld    com
%global provider        github
%global project         docker
%global repo            libtrust
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          6b7834910dcbb3021adc193411d01f65595445fb
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.2.git%{shortcommit}%{?dist}
Summary:        Library for managing authentication and authorization
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}.

Authentication is handled using the identity attached
to the public key. Libtrust provides multiple methods
to prove possession of the private key associated with
an identity.

    - TLS x509 certificates
    - Signature verification
    - Key Challenge

Authorization and access control is managed through a
distributed trust graph. Trust servers are used as the
authorities of the trust graph and allow caching portions
of the graph for faster access.

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        Library for managing authentication and authorization
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/trustgraph) = %{version}-%{release}
Provides:       golang(%{import_path}/testutil) = %{version}-%{release}

%description devel
%{summary}.

Authentication is handled using the identity attached
to the public key. Libtrust provides multiple methods
to prove possession of the private key associated with
an identity.

    - TLS x509 certificates
    - Signature verification
    - Key Challenge

Authorization and access control is managed through a
distributed trust graph. Trust servers are used as the
authorities of the trust graph and allow caching portions
of the graph for faster access.


%prep
%setup -qn %{repo}-%{commit}

%build

%install
install -dp %{buildroot}%{gopath}/src/%{import_path}/trustgraph
cp -rpav {*.go,trustgraph,testutil} %{buildroot}%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}%{gopath}:%{gopath} go test %{import_path}
GOPATH=%{buildroot}%{gopath}:%{gopath} go test %{import_path}/trustgraph

%files devel
%doc CONTRIBUTING.md LICENSE MAINTAINERS README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Wed Dec 17 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2.git6b78349
- update to latest upstream master

* Fri Oct 17 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.gitd273ef2
- Resolves: rhbz#1154165 - initial package
